Go to the latest version of this document.

# ``twisted`.`words`.`iwords`.`IUser``

interface documentation

`class IUser(Interface): (source)`

Known implementations: `twisted.words.service.User`

View In Hierarchy

Interface through which clients interact with IChatService.

Method | `itergroups` | Return an iterator of all groups of which this user is a member.
Method | `join` | Attempt to join the given group.
Method | `leave` | Discontinue participation in the given group.
Method | `loggedIn` | Invoked by the associated `IChatService` when login occurs.
Method | `send` | Send the given message to the given user or group.
Attribute | `lastMessage` | A POSIX timestamp indicating the time of the last message received from this user.
Attribute | `mind` | A reference to the mind which logged in to this user. Set if and only if the user is logged in.
Attribute | `name` | A short string, unique among users.
Attribute | `realm` | A reference to the Realm to which this user belongs. Set if and only if the user is logged in.
Attribute | `signOn` | A POSIX timestamp indicating this user's most recent sign on time.

def itergroups(): (source)

Return an iterator of all groups of which this user is a member.

def join(group): (source)

Attempt to join the given group.

Parameters
group:`IGroup` | Undocumented

Returns
`twisted.internet.defer.Deferred` | Undocumented

def leave(group): (source)

Discontinue participation in the given group.

Parameters
group:`IGroup` | Undocumented

Returns
`twisted.internet.defer.Deferred` | Undocumented

def loggedIn(realm, mind): (source)

Invoked by the associated `IChatService` when login occurs.

Parameters
realm | The `IChatService` through which login is occurring.
mind | The mind object used for cred login.

def send(recipient, message): (source)

Send the given message to the given user or group.

Parameters
recipient:Either `IUser` or `IGroup` | Undocumented
message:`dict` | Undocumented

lastMessage = (source)

A POSIX timestamp indicating the time of the last message received from this user.

mind = (source)

A reference to the mind which logged in to this user. Set if and only if the user is logged in.

name = (source)

A short string, unique among users.

realm = (source)

A reference to the Realm to which this user belongs. Set if and only if the user is logged in.

signOn = (source)

A POSIX timestamp indicating this user's most recent sign on time.